﻿#pragma once

#using <mscorlib.dll>
#using <System.ServiceModel.dll>
#using <System.Runtime.Serialization.dll>
#using <System.dll>

using namespace System::Security::Permissions;
[assembly:SecurityPermissionAttribute(SecurityAction::RequestMinimum, SkipVerification=false)];
using namespace System;
interface class IHello;
interface class IHelloChannel;
ref class HelloClient;
interface class IGoodbye;
interface class IGoodbyeChannel;
ref class GoodbyeClient;


[System::CodeDom::Compiler::GeneratedCodeAttribute(L"System.ServiceModel", L"4.0.0.0"), 
System::ServiceModel::ServiceContractAttribute(ConfigurationName=L"IHello")]
public interface class IHello
{
    
    [System::ServiceModel::OperationContractAttribute(Action=L"http://tempuri.org/IHello/SayHello", ReplyAction=L"http://tempuri.org/IHello/SayHelloResponse")]
    System::Void SayHello(System::String^  name);
};

[System::CodeDom::Compiler::GeneratedCodeAttribute(L"System.ServiceModel", L"4.0.0.0")]
public interface class IHelloChannel : public IHello, public System::ServiceModel::IClientChannel
{
};

[System::Diagnostics::DebuggerStepThroughAttribute, 
System::CodeDom::Compiler::GeneratedCodeAttribute(L"System.ServiceModel", L"4.0.0.0")]
public ref class HelloClient : public System::ServiceModel::ClientBase<IHello^ >, public IHello
{
    
    public: HelloClient();
    public: HelloClient(System::String^  endpointConfigurationName);
    public: HelloClient(System::String^  endpointConfigurationName, System::String^  remoteAddress);
    public: HelloClient(System::String^  endpointConfigurationName, System::ServiceModel::EndpointAddress^  remoteAddress);
    public: HelloClient(System::ServiceModel::Channels::Binding^  binding, System::ServiceModel::EndpointAddress^  remoteAddress);
    public: virtual System::Void SayHello(System::String^  name) sealed;
};

[System::CodeDom::Compiler::GeneratedCodeAttribute(L"System.ServiceModel", L"4.0.0.0"), 
System::ServiceModel::ServiceContractAttribute(ConfigurationName=L"IGoodbye")]
public interface class IGoodbye
{
    
    [System::ServiceModel::OperationContractAttribute(Action=L"http://tempuri.org/IGoodbye/SayGoodbye", ReplyAction=L"http://tempuri.org/IGoodbye/SayGoodbyeResponse")]
    System::Void SayGoodbye(System::String^  name);
};

[System::CodeDom::Compiler::GeneratedCodeAttribute(L"System.ServiceModel", L"4.0.0.0")]
public interface class IGoodbyeChannel : public IGoodbye, public System::ServiceModel::IClientChannel
{
};

[System::Diagnostics::DebuggerStepThroughAttribute, 
System::CodeDom::Compiler::GeneratedCodeAttribute(L"System.ServiceModel", L"4.0.0.0")]
public ref class GoodbyeClient : public System::ServiceModel::ClientBase<IGoodbye^ >, public IGoodbye
{
    
    public: GoodbyeClient();
    public: GoodbyeClient(System::String^  endpointConfigurationName);
    public: GoodbyeClient(System::String^  endpointConfigurationName, System::String^  remoteAddress);
    public: GoodbyeClient(System::String^  endpointConfigurationName, System::ServiceModel::EndpointAddress^  remoteAddress);
    public: GoodbyeClient(System::ServiceModel::Channels::Binding^  binding, System::ServiceModel::EndpointAddress^  remoteAddress);
    public: virtual System::Void SayGoodbye(System::String^  name) sealed;
};





inline HelloClient::HelloClient()
{
}

inline HelloClient::HelloClient(System::String^  endpointConfigurationName) : 
        System::ServiceModel::ClientBase<IHello^ >(endpointConfigurationName)
{
}

inline HelloClient::HelloClient(System::String^  endpointConfigurationName, System::String^  remoteAddress) : 
        System::ServiceModel::ClientBase<IHello^ >(endpointConfigurationName, remoteAddress)
{
}

inline HelloClient::HelloClient(System::String^  endpointConfigurationName, System::ServiceModel::EndpointAddress^  remoteAddress) : 
        System::ServiceModel::ClientBase<IHello^ >(endpointConfigurationName, remoteAddress)
{
}

inline HelloClient::HelloClient(System::ServiceModel::Channels::Binding^  binding, System::ServiceModel::EndpointAddress^  remoteAddress) : 
        System::ServiceModel::ClientBase<IHello^ >(binding, remoteAddress)
{
}

inline System::Void HelloClient::SayHello(System::String^  name)
{
    __super::Channel->SayHello(name);
}





inline GoodbyeClient::GoodbyeClient()
{
}

inline GoodbyeClient::GoodbyeClient(System::String^  endpointConfigurationName) : 
        System::ServiceModel::ClientBase<IGoodbye^ >(endpointConfigurationName)
{
}

inline GoodbyeClient::GoodbyeClient(System::String^  endpointConfigurationName, System::String^  remoteAddress) : 
        System::ServiceModel::ClientBase<IGoodbye^ >(endpointConfigurationName, remoteAddress)
{
}

inline GoodbyeClient::GoodbyeClient(System::String^  endpointConfigurationName, System::ServiceModel::EndpointAddress^  remoteAddress) : 
        System::ServiceModel::ClientBase<IGoodbye^ >(endpointConfigurationName, remoteAddress)
{
}

inline GoodbyeClient::GoodbyeClient(System::ServiceModel::Channels::Binding^  binding, System::ServiceModel::EndpointAddress^  remoteAddress) : 
        System::ServiceModel::ClientBase<IGoodbye^ >(binding, remoteAddress)
{
}

inline System::Void GoodbyeClient::SayGoodbye(System::String^  name)
{
    __super::Channel->SayGoodbye(name);
}
